SEED Class Reference

SEED More...

`#include <seed.h>`

Inheritance diagram for SEED:

## Public Types

typedef BlockCipherFinal< ENCRYPTION, Base > | Encryption
typedef BlockCipherFinal< DECRYPTION, Base > | Decryption

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t)

## Static Public Attributes

static const int | BLOCKSIZE
static const int | KEYLENGTH
static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | IV_REQUIREMENT
static const int | IV_LENGTH
static const int | ROUNDS

## Detailed Description

SEED

Definition at line 19 of file seed.h.

The documentation for this class was generated from the following file:

- seed.h